Banking Information Details
curl --request GET \
--url https://api.joinworth.com/integration/api/v1/banking/business/{businessID}import requests
url = "https://api.joinworth.com/integration/api/v1/banking/business/{businessID}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.joinworth.com/integration/api/v1/banking/business/{businessID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Banking information fetched successfully.",
"data": [
{
"id": "5db79f51-f712-4a1e-9414-4b10fa27cc95",
"business_integration_task_id": "9825dd49-72a1-4ad8-806a-e516f4f1131e",
"bank_account": "1111222233330000",
"bank_name": "Plaid Checking",
"official_name": "Plaid Gold Standard 0% Interest Checking",
"institution_name": "Chime",
"verification_status": "VERIFIED",
"balance_current": "110.00",
"balance_available": "100.00",
"balance_limit": "0",
"currency": "USD",
"type": "depository",
"subtype": "checking",
"mask": "0000",
"created_at": "2026-03-23T14:51:53.335Z",
"routing_number": "U2FsdGVkX1+3cLnEmf6eR58JsRMTlINKXMnbbJ+w1TI=",
"wire_routing_number": "U2FsdGVkX1+WXlPZC+JZPtF+rAWb/Q6yrc5lZIQtFqc=",
"deposit_account": true,
"is_selected": false,
"is_additional_account": false,
"account_holder_name": null,
"account_holder_type": null,
"average_balance": -416.94,
"transactions": [
{
"id": "2f013916-d1eb-40e9-8b8e-aeada4f4802d",
"bank_account_id": "5db79f51-f712-4a1e-9414-4b10fa27cc95",
"business_integration_task_id": "9825dd49-72a1-4ad8-806a-e516f4f1131e",
"transaction_id": "JDGeRegXwph5KX6GJq6JIAvggxpBPjtByWM65",
"date": "2026-03-15T00:00:00.000Z",
"amount": "5.4",
"description": "Uber 063015 SF**POOL**",
"payment_metadata": {
"by_order_of": null,
"payee": null,
"payer": null,
"payment_method": null,
"payment_processor": null,
"ppd_id": null,
"reason": null,
"reference_number": null
},
"currency": "USD",
"category": "Travel,Taxi",
"payment_type": "special",
"is_pending": false,
"created_at": "2026-03-23T14:51:58.224Z",
"merchant_name": "Uber"
}
],
"balances": [
{
"year": 2026,
"month": 1,
"balance": -695.48,
"bank_account_id": "5db79f51-f712-4a1e-9414-4b10fa27cc95",
"currency": "USD",
"created_at": "2026-03-23T14:51:56.739Z",
"updated_at": null
}
],
"match": false,
"depositAccountInfo": {
"accounts": [
{
"account_id": "d4959d3e-82c6-40ce-868a-1b07a1b6baeb",
"balances": {
"available": null,
"current": null,
"limit": null
},
"mask": "9376",
"name": "Bank of America",
"official_name": "Bank of America",
"subtype": "Checking",
"type": "additional_accounts",
"account_holder_name": null,
"account_holder_type": null,
"institution_name": "ACH",
"verification_status": "VERIFIED"
}
],
"numbers": {
"ach": [
{
"account": "3250211139376",
"account_number": "U2FsdGVkX1/Y/ilypReDU1R8rAPy2rZg7u4L2uwEpms=",
"account_id": "d4959d3e-82c6-40ce-868a-1b07a1b6baeb",
"routing": "121000358",
"wire_routing": "121000358"
}
],
"bacs": [],
"eft": [],
"international": []
}
},
"verification_result": {
"id": "268c89b1-593d-42c4-98ae-c2d13da061d8",
"verification_status": "SUCCESS",
"created_at": "2025-09-23T17:55:15.331Z",
"updated_at": "2025-09-23T17:55:15.331Z",
"account_verification_response": {
"name": "Invalid Routing Number",
"code": "GS01",
"description": "Invalid Routing Number - The routing number supplied did not match the format of a valid routing number.",
"verification_response": "Declined"
},
"account_authentication_response": {
"name": null,
"code": null,
"description": null,
"verification_response": null
}
},
"ach_account_id": "ecb698c5-6cfd-4a39-935e-d228ab2cb30d",
"routing": "011401533",
"wire_routing": "021000021"
}
]
}Business Details
Banking Information
Retrieve banking information for a particular business.
GET
/
banking
/
business
/
{businessID}
Banking Information Details
Path Parameters
The unique identifier of the business to retrieve banking information for.
Example:
"23e916f6-e681-43f7-8c79-23a0e6ceb391"
Response
200 - application/json; charset=utf-8
OK
Was this page helpful?
⌘I